Subject: Re: bug#26068: [PATCH] bug in generator function with pcase

From: Tino Calancha <[email-masked]>
Date: Sat, 01 Apr 2017 22:08:57 +0900

Paul Pogonyshev <[email-masked]> writes:

> To reproduce:
>
> (iter-next (funcall (iter-lambda () (pcase (list 1 2)
>                                       (`(,a ,b) (iter-yield (+ a b)))))))
>
> Patch is attached. I have no idea if it affects something else, but
> matching symbols with `eq' on their names (`eq' on strings?!) seems
> outright wrong to me.
It looks also weird to me.  It seems written on purpose in order to
not expand fuction names in `cl-symbol-macrolet'.

Stefan has added a new test 2 days ago which fails after your
patch:
* test/lisp/emacs-lisp/cl-lib-tests.el (cl-lib-symbol-macrolet)